<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8" />
<title>The Bookshop</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />

<!-- See configuration in WebMvConfig.java -->
<link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet"
	media="screen" />

<script th:src="@{/jquery/jquery.min.js}"></script>
<script th:src="@{/popper/popper.min.js}"></script>
<script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>
</head>
<body>


	<h2 style="text-align: center">Update your Account</h2>

	<img th:src="@{/images/books-top.png}"
		style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />

	<p>
	<div class="container-fluid text-center">

		<form id="registerForm" onReset="updateForm();" 
			th:action="@{/update}" th:object="${customer}" method="post"
			style="max-width: 350px; margin: 0 auto;">

			<div class="border border-secondary p-3 rounded">
				<p>
					<input type="text" th:field="*{firstname}" name="firstname"
						class="form-control" placeholder="First Name" required autofocus />
				</p>
				<p>
					<input type="text" th:field="*{lastname}" name="lastname"
						class="form-control" placeholder="Last Name" required />
				</p>
				<p>
					<input type="text" th:field="*{street}" name="street"
						class="form-control" placeholder="Street" required />
				</p>
				<p>
					<input type="text" th:field="*{city}" name="city"
						class="form-control" placeholder="City" required />
				</p>
				<p>
					<input type="email" th:field="*{email}" name="email"
						class="form-control" placeholder="E-Mail" required />
				</p>
				<p>
					<input id="oldPassword" type="password" th:field="*{oldPassword}" name="oldPassword"
						class="form-control" placeholder="Old Password" />
				</p>
				<p>
					<input id="password" type="password" th:field="*{password}" name="password"
						class="form-control" placeholder="Password" />
				</p>
				<p>
					<input id="confirmPassword" type="password" th:field="*{confirmPassword}" name="confirmPassword"
							class="form-control" placeholder="Confirm Password" />
  					<span id='message'></span>
				</p>
				<p>
					<input type="submit" value="Update" class="btn btn-primary" />
					<input id ="reset" type="reset" value="Reset" class="btn btn-secondary" />
					<a th:href="@{/}" class="btn btn-secondary">Main Page</a>
				</p>
			</div>
		</form>
		
		<script>
			$('#oldPassword, #password, #confirmPassword').on('keyup', function () {
				
				var oldPw = $('#oldPassword').val();
				var newPw = $('#password').val();
				var conPw = $('#confirmPassword').val();				
				
//				console.log(oldPw + ":" + newPw + ":" + conPw)
//				console.log(oldPw.length + ":" + newPw.length + ":" + conPw.length)

				if(oldPw.length == 0 && newPw.length > 0){
					$('#oldPassword').css('background-color', 'LightSalmon');
					$('#password').css('background-color', 'white');
				} else if(oldPw.length > 0 && newPw.length == 0){
					$('#oldPassword').css('background-color', 'white');
					$('#password').css('background-color', 'LightSalmon');
				} else {
					$('#oldPassword').css('background-color', 'white');
					$('#password').css('background-color', 'white');
				}
				
				if(oldPw.length == 0 && newPw.length == 0 && conPw.length == 0){
					$('#password').css('background-color', 'white');
					$('#confirmPassword').css('background-color', 'white');				
				} else if (newPw == conPw) {
					$('#confirmPassword').css('background-color', 'SpringGreen');
				} else {
						$('#confirmPassword').css('background-color', 'LightSalmon');
				}
				
			});
			
			function updateForm(){
				$('#oldPassword').css('background-color', 'white');
				$('#password').css('background-color', 'white');
				$('#confirmPassword').css('background-color', 'white');
		    };
			
			$('#registerForm').submit(function(e){
				
				var oldPw = $('#oldPassword').val();
				var newPw = $('#password').val();
				var conPw = $('#confirmPassword').val();	
				
//				console.log(oldPw + ":" + newPw + ":" + conPw)
//				console.log(oldPw.length + ":" + newPw.length + ":" + conPw.length)

				if(oldPw.length == 0 && newPw.length == 0 && conPw.length == 0){
					return;
				}

				if(oldPw.length > 0 && newPw.length > 0 && newPw == conPw){
					return;
				}
				
				e.preventDefault();
		    });
		</script>
		

	</div>

	<p>
	<p>

		<img th:src="@{/images/books-bottom.png}"
			style="width: 55vw; min-width: 300px; display: block; margin-left: auto; margin-right: auto;" />
</body>
</html>
